FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000417FL54. Element, Byte, Record or other APIpublic2014-04-28 12:262014-10-28 15:48
ReporterFalk Reichbott 
Assigned ToTilo Eckert 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.0 
Target Version5.1Fixed in Version5.1 
Summary0000417: Add FLUC stream interface for C++
DescriptionFor C++ a stream clas as stub in the FLUC byte interface would be useful.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000416assignedTilo Eckert Add remote FLUC stream interface for Java 

-  Notes
(0000669)
Falk Reichbott (administrator)
2014-10-28 15:48

The byte interface for C++ was realised as stream buffer to use with istream/ostream.

flcbyt_buffer is a streambuf implementation that allows to use the C++ stream facilities to read and write files via FLUC. It is supposed to be passed to an istream or ostream object. The stream buffer is backed by the FLUC byte interface. (fcb*() functions)

The interface is available with FLAM 5.0.34=5.1 as DLL/SO for all platforms.

- Issue History
Date Modified Username Field Change
2014-04-28 12:26 Falk Reichbott New Issue
2014-04-28 12:26 Falk Reichbott Status new => assigned
2014-04-28 12:26 Falk Reichbott Assigned To => Tilo Eckert
2014-04-28 12:26 Falk Reichbott Relationship added related to 0000416
2014-10-28 15:48 Falk Reichbott Note Added: 0000669
2014-10-28 15:48 Falk Reichbott Status assigned => resolved
2014-10-28 15:48 Falk Reichbott Fixed in Version => 5.1
2014-10-28 15:48 Falk Reichbott Resolution open => fixed
2014-12-02 07:43 Falk Reichbott Category 4. Element, Byte or Record API => 4. Element, Byte, Record or other API


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker